BMASwap Class Reference

swap paying Libor against BMA coupons More...

`#include <ql/instruments/bmaswap.hpp>`

Inheritance diagram for BMASwap:
[legend]

## Public Types

enum | Type { Receiver = -1, Payer = 1 }
Public Types inherited from Observer
typedef std::set< boost::shared_ptr< Observable > > | set_type
typedef set_type::iterator | iterator

## Public Member Functions

| BMASwap (Type type, Real nominal, const Schedule &liborSchedule, Rate liborFraction, Rate liborSpread, const boost::shared_ptr< IborIndex > &liborIndex, const DayCounter &liborDayCount, const Schedule &bmaSchedule, const boost::shared_ptr< BMAIndex > &bmaIndex, const DayCounter &bmaDayCount)
Inspectors
Real | liborFraction () const
Spread | liborSpread () const
Real | nominal () const
Type | type () const
| "payer" or "receiver" refer to the BMA leg
const Leg & | bmaLeg () const
const Leg & | liborLeg () const
Results
Real | liborLegBPS () const
Real | liborLegNPV () const
Rate | fairLiborFraction () const
Spread | fairLiborSpread () const
Real | bmaLegBPS () const
Real | bmaLegNPV () const
Public Member Functions inherited from Swap
Date | startDate () const
Date | maturityDate () const
Real | legBPS (Size j) const
Real | legNPV (Size j) const
DiscountFactor | startDiscounts (Size j) const
DiscountFactor | endDiscounts (Size j) const
DiscountFactor | npvDateDiscount () const
const Leg & | leg (Size j) const
| Swap (const Leg &firstLeg, const Leg &secondLeg)
| Swap (const std::vector< Leg > &legs, const std::vector< bool > &payer)
bool | isExpired () const
| returns whether the instrument might have value greater than zero.
void | setupArguments (PricingEngine::arguments *) const
void | fetchResults (const PricingEngine::results *) const
Public Member Functions inherited from Instrument
Real | NPV () const
| returns the net present value of the instrument.
Real | errorEstimate () const
| returns the error estimate on the NPV when available.
const Date & | valuationDate () const
| returns the date the net present value refers to.
template<typename T >
T | result (const std::string &tag) const
| returns any additional result returned by the pricing engine.
const std::map< std::string, boost::any > & | additionalResults () const
| returns all additional result returned by the pricing engine.
void | setPricingEngine (const boost::shared_ptr< PricingEngine > &)
| set the pricing engine to be used. More...
Public Member Functions inherited from LazyObject
void | update ()
void | recalculate ()
void | freeze ()
void | unfreeze ()
void | alwaysForwardNotifications ()
Public Member Functions inherited from Observable
| Observable (const Observable &)
Observable & | operator= (const Observable &)
void | notifyObservers ()
Public Member Functions inherited from Observer
| Observer (const Observer &)
Observer & | operator= (const Observer &)
std::pair< iterator, bool > | registerWith (const boost::shared_ptr< Observable > &)
void | registerWithObservables (const boost::shared_ptr< Observer > &)
Size | unregisterWith (const boost::shared_ptr< Observable > &)
void | unregisterWithAll ()
virtual void | deepUpdate ()

## Additional Inherited Members

Protected Member Functions inherited from Swap
| Swap (Size legs)
void | setupExpired () const
Protected Member Functions inherited from Instrument
void | calculate () const
virtual void | performCalculations () const
Protected Member Functions inherited from LazyObject
Protected Attributes inherited from Swap
std::vector< Leg > | legs_
std::vector< Real > | payer_
std::vector< Real > | legNPV_
std::vector< Real > | legBPS_
std::vector< DiscountFactor > | startDiscounts_
std::vector< DiscountFactor > | endDiscounts_
DiscountFactor | npvDateDiscount_
Protected Attributes inherited from Instrument
boost::shared_ptr< PricingEngine > | engine_
Real | NPV_
Real | errorEstimate_
Date | valuationDate_
std::map< std::string, boost::any > | additionalResults_
Protected Attributes inherited from LazyObject
bool | calculated_
bool | frozen_
bool | alwaysForward_

## Detailed Description

swap paying Libor against BMA coupons